<?php

namespace App\Http\Controllers;
use Illuminate\Support\Facades\Storage;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Log;


class s3 extends Controller
{

public function subirArchivo(Request $request)
    {
        try {
            if (!$request->hasFile('archivo')) {
                return response()->json(['mensaje' => 'No se envió ningún archivo'], 400);
            }

            $archivo = $request->file('archivo');
            $path = Storage::disk('s3')->put('archivo', $archivo);

            return response()->json([
                'mensaje' => 'Archivo subido correctamente',
                'ruta' => $path,

            ]);
        } catch (\Exception $e) {
            error_log('Error al subir archivo: ' . $e->getMessage());

            return response()->json([
                'mensaje' => 'Error al subir archivo',
                'error' => $e->getMessage()
            ], 500);
        }
    }
}




// use Illuminate\Support\Facades\Storage;

// public function subirArchivo(Request $request)
// {
//     $archivo = $request->file('archivo');
//     $path = Storage::disk('s3')->put('carpeta-en-s3', $archivo);

//     return response()->json([
//         'mensaje' => 'Archivo subido correctamente',
//         'ruta' => $path
//     ]);
// }
